post
https://api.instantpay.in/identity/mobile/dataLookup
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Header Parameters
| Name | Type | Description | Mandatory (M) , Optional (O) | Provided by INSTANTPAY (Y/N) |
|---|---|---|---|---|
| X-Ipay-Auth-Code | String | Auth Code is "1" (Fixed) | M | Y |
| X-Ipay-Client-Id | String | Unique Client Id Provided by Instantpay | M | Y |
| X-Ipay-Client-Secret | String | Unique Client Secret Provided by Instantpay | M | Y |
| X-Ipay-Endpoint-Ip | String | End customer IP Address | M | Y |
Request Parameters
| Parameter Name | Type | Requirement | Description |
|---|---|---|---|
| mobileNumber | String | Mandatory | User Mobile Number |
| firstName | String | Mandatory | First name of the user |
| lastName | String | Mandatory | Last name of the user |
| externalRef | String | Mandatory | Your Unique Transaction id |
| latitude | String | Mandatory | End Customer Latitude. |
| longitude | String | Mandatory | End Customer Longitude |
Sample Request
curl --location 'https://api.instantpay.in/identity/mobile/dataLookup' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber": "9876543210",
"firstName" : "John",
"lastName" : "Doe",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}'POST /identity/mobile/dataLookup HTTP/1.1
Host: api.instantpay.in
Content-Type: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
{
"mobileNumber": "9876543210",
"firstName" : "John",
"lastName" : "Doe",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | Instantpay Status Code |
| actcode | String | Action Code |
| status | Array | Status message |
| data | String | Response Data(if Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id(if transaction otherwise it is null) |
| environment | String | Live/Sandbox |
| internalCode | String | It will be null |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"result": {
"name": "John Doe",
"dob": "25-1X-19XX",
"age": "30",
"gender": "Male",
"pan": "ATPPXXXXXXB",
"email": "[email protected]",
"address": [
{
"first_line_of_address": "D 123 22A BLOCK D ",
"second_line_of_address": "NEW DELHI",
"third_line_of_address": null,
"city": null,
"state": "Delhi",
"postal_code": "1100XX",
"country_code": "IB",
"reported_date": ""
},
},
"timestamp": "2024-10-23 15:36:43",
"ipay_uuid": "h0009d503448-becb-4280-96e9-a97caf1a7e93-QFUQCEKHB3Rv",
"orderid": "123456789ABCDE",
"environment": "SANDBOX"
}

